Search readable and manageable item-link candidates. An explicit target-definition filter scopes target-provider search, owning Board Data search, and the final candidate query.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/boards/example/items/example/link-candidates"), Content = new StringContent("{ \"SearchText\": \"example\", \"BoardTargetDefinitionIds\": [ \"example\" ], \"LinkType\": 0, \"Direction\": 0, \"Limit\": 1 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/boards/example/items/example/link-candidates';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"SearchText":"example","BoardTargetDefinitionIds":["example"],"LinkType":0,"Direction":0,"Limit":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/boards/example/items/example/link-candidates \ --header 'Content-Type: application/json' \ --data '{ "SearchText": "example", "BoardTargetDefinitionIds": [ "example" ], "LinkType": 0, "Direction": 0, "Limit": 1 }'Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Search request for board item link picker candidates.
object
Optional free text or #RunNumber lookup.
Optional active target-definition ids. When supplied, the scope limits the complete search pipeline: target providers, owning Board Data, and the final candidate query. When omitted, search covers all active Boards and target definitions with bounded per-source presearch.
Requested result limit from 1 through 50.
Search request for board item link picker candidates.
object
Optional free text or #RunNumber lookup.
Optional active target-definition ids. When supplied, the scope limits the complete search pipeline: target providers, owning Board Data, and the final candidate query. When omitted, search covers all active Boards and target definitions with bounded per-source presearch.
Requested result limit from 1 through 50.
Search request for board item link picker candidates.
object
Optional free text or #RunNumber lookup.
Optional active target-definition ids. When supplied, the scope limits the complete search pipeline: target providers, owning Board Data, and the final candidate query. When omitted, search covers all active Boards and target definitions with bounded per-source presearch.
Requested result limit from 1 through 50.
Responses
Section titled “Responses”OK
object
Server-backed item-link picker candidates.
object
Compact board item summary used by item-link surfaces.
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Server-backed item-link picker candidates.
object
Compact board item summary used by item-link surfaces.
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Server-backed item-link picker candidates.
object
Compact board item summary used by item-link surfaces.
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Server-backed item-link picker candidates.
object
Compact board item summary used by item-link surfaces.
object
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}